﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows;
using System.Windows.Media;
using System.Xml;
using IGDocumentation;

namespace DataGridCustomSumCalculator
{
    class CommonSum : SummaryCalculator
    {
        public CommonSum()
            : base()
        {
        }
  
        double _sum;

        public override void BeginCalculation(SummaryResult summaryResult)
        {
            _sum = 0;
        }
   
        public override bool CanProcessDataType(Type dataType)
        {
            return dataType == typeof(string);
        }

        public override void Aggregate(object dataValue, Infragistics.Windows.DataPresenter.SummaryResult summaryResult, Record record)
        {
            double tempVal;

            if (dataValue != null)
            {

                tempVal = ((record as DataRecord).DataItem as Car).BasePrice + ((record as DataRecord).DataItem as Car).Mileage;
             
               _sum += tempVal;
             
            }
        }
        public override object EndCalculation(Infragistics.Windows.DataPresenter.SummaryResult summaryResult)
        {

            return _sum;
        }
        public override string Name
        {
            get
            {
                return "Common sum";
            }
        }
        public override string Description
        {
            get
            {
                return "The sum of the other two fields";
            }
        }

        
    }


}

